Bug 1304369 - [abrt] mate-control-center: g_type_check_instance_cast(): mate-display-properties killed by SIGSEGV
[abrt] mate-control-center: g_type_check_instance_cast(): mate-display-proper...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mate-control-center (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:93c280c17452ad5710e0a1426b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 07:37 EST by Peter Gervase
Modified: 2017-05-02 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-01 13:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.91 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: core_backtrace (5.74 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: dso_list (9.28 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: environ (1.60 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: maps (48.45 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: mountinfo (3.77 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: open_fds (714 bytes, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-03 07:37 EST, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2016-02-03 07:37:31 EST
Description of problem:
Because the suspend in Mate doesn't work, I use a script to suspend my system at night:
#!/bin/bash
/usr/bin/dbus-send --system --print-reply   --dest="org.freedesktop.login1"   /org/freedesktop/login1 org.freedesktop.login1.Manager.Suspend boolean:true

Usually, it works fine. This morning, I hit the power button on my laptop to unsuspend it and one of my external monitors did not start. I went to System and then Displays. I tried hitting just the apply button since the monitors were all detected, but that didn't bring back the second external monitor. It was just a few seconds after this that the program crashed, but I'm not 100% sure on exactly where I clicked, if anywhere. It may have been to try unchecking one of the monitors or maybe hitting apply again. 



Version-Release number of selected component:
mate-control-center-1.12.1-2.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        mate-display-properties
crash_function: g_type_check_instance_cast
executable:     /usr/bin/mate-display-properties
global_pid:     1029
kernel:         4.5.0-0.rc0.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4065
 #1 on_output_event at xrandr-capplet.c:1575
 #2 emit_input at scrollarea.c:1016
 #3 process_event at scrollarea.c:1066
 #4 process_gdk_event at scrollarea.c:1103
 #5 foo_scroll_area_motion at scrollarea.c:1134
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #11 gtk_widget_event_internal at gtkwidget.c:5017
 #12 gtk_widget_event at gtkwidget.c:4814
 #13 gtk_propagate_event at gtkmain.c:2501
Comment 1 Peter Gervase 2016-02-03 07:37:37 EST
Created attachment 1120746 [details]
File: backtrace
Comment 2 Peter Gervase 2016-02-03 07:37:38 EST
Created attachment 1120747 [details]
File: cgroup
Comment 3 Peter Gervase 2016-02-03 07:37:39 EST
Created attachment 1120748 [details]
File: core_backtrace
Comment 4 Peter Gervase 2016-02-03 07:37:40 EST
Created attachment 1120749 [details]
File: dso_list
Comment 5 Peter Gervase 2016-02-03 07:37:41 EST
Created attachment 1120750 [details]
File: environ
Comment 6 Peter Gervase 2016-02-03 07:37:42 EST
Created attachment 1120751 [details]
File: exploitable
Comment 7 Peter Gervase 2016-02-03 07:37:43 EST
Created attachment 1120752 [details]
File: limits
Comment 8 Peter Gervase 2016-02-03 07:37:45 EST
Created attachment 1120753 [details]
File: maps
Comment 9 Peter Gervase 2016-02-03 07:37:46 EST
Created attachment 1120754 [details]
File: mountinfo
Comment 10 Peter Gervase 2016-02-03 07:37:47 EST
Created attachment 1120755 [details]
File: namespaces
Comment 11 Peter Gervase 2016-02-03 07:37:48 EST
Created attachment 1120756 [details]
File: open_fds
Comment 12 Peter Gervase 2016-02-03 07:37:49 EST
Created attachment 1120757 [details]
File: proc_pid_status
Comment 13 Peter Gervase 2016-02-03 07:37:50 EST
Created attachment 1120758 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:24:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Wolfgang Ulbrich 2016-04-14 06:03:17 EDT
Hmm, that suspend does not work in f24 is new for me, but i do not install f24 on my notebook before beta release, so i can't reproduce it.
Is the other issue reproducible?
Comment 16 Wolfgang Ulbrich 2016-04-14 06:04:33 EDT
Btw. on normal box i see no crash with mate-display-properties.
Comment 17 Wolfgang Ulbrich 2016-08-13 07:13:52 EDT
On my notebook works suspend very well.
Is the issue still exists?
Comment 18 Wolfgang Ulbrich 2017-05-01 13:20:53 EDT
No answer from reporter!
Comment 19 Peter Gervase 2017-05-02 15:25:42 EDT
(In reply to Wolfgang Ulbrich from comment #17)
> On my notebook works suspend very well.
> Is the issue still exists?

I'm sorry. I didn't see this post before. I don't remember what happened with mate, but I'm back using kde.

Note You need to log in before you can comment on or make changes to this bug.